#== Home =================================================================================================================
app_core_home:
    path: /
    controller: App\Controller\CoreController::home

   
#== Theme ================================================================================================================

app_core_theme_setconfig:
    path: /theme/setconfig
    controller: App\Controller\ThemeController::setconfig

app_core_config_theme:
    path: /config/theme
    controller: App\Controller\ThemeController::list

app_core_config_theme_selec:
    path: /config/theme/select/{name}
    controller: App\Controller\ThemeController::select
    defaults:  { name: "" }       

    
#== Security Auth ========================================================================================================
app_core_login:
    path: /login
    controller: App\Controller\SecurityController::login

app_core_logout:
    path: /logout
    controller: App\Controller\SecurityController::logout

app_core_kill:
    path: /kill
    controller: App\Controller\SecurityController::kill

app_core_checkuser:
    path: /checkuser
    controller: App\Controller\SecurityController::checkuser

app_core_ldapcheckuser:
    path: /ldapcheckuser
    controller: App\Controller\SecurityController::ldapcheckuser

app_core_redirect:
    path: /user/redirect/{route}/{id}
    controller: App\Controller\SecurityController::redirectroute

app_core_castest:
    path: /cas/test
    controller: App\Controller\SecurityController::testcas

app_core_imapunread:
    path: /cas/imapunread
    controller: App\Controller\SecurityController::imapunread

#== Sonde ================================================================================================================
app_core_sonde:
    path: /sonde
    controller: App\Controller\SondeController::sonde


#== Crop Image ===========================================================================================================
app_core_crop01:
    path: /crop01
    controller: App\Controller\CropController::crop01

app_core_crop02:
    path: /crop02
    controller: App\Controller\CropController::crop02


#== File =================================================================================================================
#-- Access config
app_core_config_file_list:
    path: /config/file/list/{directory}
    controller: App\Controller\FileController::list
    defaults: { access: config }  

app_core_config_file_upload:
    path: /config/file/upload/{id}/{type}
    controller: App\Controller\FileController::upload
    defaults: { access: config }   

app_core_config_file_subdirectory:
    path: /config/file/subdirectory/{id}/{type}
    controller: App\Controller\FileController::subdirectory
    defaults: { access: config }  

app_core_config_file_rename:
    path: /config/file/rename/{id}/{oldname}
    controller: App\Controller\FileController::rename
    defaults: { access: config }   

app_core_config_file_trash:
    path: /config/file/trash/
    controller: App\Controller\FileController::trash
    defaults: { access: config } 

app_core_config_file_restaure:
    path: /config/file/restaure/
    controller: App\Controller\FileController::restaure
    defaults: { access: config } 

app_core_config_file_purgetrash:
    path: /config/file/purgetrash/{directory}
    controller: App\Controller\FileController::purgetrash
    defaults: { access: config } 

app_core_config_file_delete:
    path: /config/file/delete/
    controller: App\Controller\FileController::delete
    defaults: { access: config }   

app_core_config_file_move:
    path: /config/file/move/
    controller: App\Controller\FileController::move
    defaults: { access: config } 

app_core_config_file_view:
    path: /config/file/view/{directory}/{filename}
    controller: App\Controller\FileController::view
    defaults: { access: config }  

app_core_config_file_show:
    path: /config/file/show/{directory}/{filename}
    controller: App\Controller\FileController::show
    defaults: { access: config }   

app_core_config_file_download:
    path: /config/file/download/{directory}/{filename}
    controller: App\Controller\FileController::download
    defaults: { access: config }   

#-- Access user    
app_core_user_file_list:
    path: /user/file/list/{directory}
    controller: App\Controller\FileController::list
    defaults: { access: user }  

app_core_user_file_upload:
    path: /user/file/upload/{id}/{type}
    controller: App\Controller\FileController::upload
    defaults: { access: user }   

app_core_user_file_subdirectory:
    path: /user/file/subdirectory/{id}/{type}
    controller: App\Controller\FileController::subdirectory
    defaults: { access: user }  

app_core_user_file_rename:
    path: /user/file/rename/{id}/{oldname}
    controller: App\Controller\FileController::rename
    defaults: { access: user }   

app_core_user_file_trash:
    path: /user/file/trash/
    controller: App\Controller\FileController::trash
    defaults: { access: user }

app_core_user_file_restaure:
    path: /user/file/restaure/
    controller: App\Controller\FileController::restaure
    defaults: { access: user } 

app_core_user_file_purgetrash:
    path: /user/file/purgetrash/{directory}
    controller: App\Controller\FileController::purgetrash
    defaults: { access: user } 

app_core_user_file_delete:
    path: /user/file/delete
    controller: App\Controller\FileController::delete
    defaults: { access: user }   

app_core_user_file_move:
    path: /user/file/move/
    controller: App\Controller\FileController::move
    defaults: { access: user } 

app_core_user_file_view:
    path: /user/file/view/{directory}/{filename}
    controller: App\Controller\FileController::view
    defaults: { access: user }  

app_core_user_file_download:
    path: /user/file/download/{directory}/{filename}
    controller: App\Controller\FileController::download
    defaults: { access: user }   

app_core_user_file_show:
    path: /user/file/show/{directory}/{filename}
    controller: App\Controller\FileController::show
    defaults: { access: user }   



#== Ajax =================================================================================================================
app_core_ajax_country_list:
    path: /ajax/country/list
    controller: App\Controller\AjaxController::countrylist

app_core_ajax_city_list:
    path: /ajax/city/list
    controller: App\Controller\AjaxController::citylist

app_core_ajax_niveau01_list:
    path: /ajax/niveau01/list
    controller: App\Controller\AjaxController::niveau01list

app_core_ajax_niveau02_list:
    path: /ajax/niveau02/list
    controller: App\Controller\AjaxController::niveau02list

app_core_ajax_niveau02_read:
    path: /ajax/niveau02/read
    controller: App\Controller\AjaxController::niveau02read

app_core_ajax_group_list:
    path: /ajax/group/list
    controller: App\Controller\AjaxController::grouplist

app_core_ajax_group_read:
    path: /ajax/group/read
    controller: App\Controller\AjaxController::groupread

app_core_ajax_item_list:
    path: /ajax/item/list
    controller: App\Controller\AjaxController::itemlist

app_core_ajax_iswhitelist:
    path: /ajax/iswhitelist
    controller: App\Controller\WhitelistController::ajaxiswhitelist


#== Home Config ==========================================================================================================
app_core_config:
    path: /config/home
    controller: App\Controller\ConfigController::home


#== Mail =================================================================================================================
app_core_mail_invitationgroup:
    path: /user/mail/invitationgroup/{id}
    controller: App\Controller\MailController::invitationgroup


#== Commun Config Commun =================================================================================================
app_core_config_commun:
    path: /config/commun
    controller: App\Controller\ConfigController::list

app_core_config_commun_update:
    path: /config/commun/update/{id}
    controller: App\Controller\ConfigController::update

app_core_config_commun_delete:
    path: /config/commun/delete/{id}
    controller: App\Controller\ConfigController::delete

app_core_config_logo:
    path: /config/commun/logo
    controller: App\Controller\ConfigController::logo

app_core_config_header:
    path: /config/commun/header
    controller: App\Controller\ConfigController::header

app_core_config_datauser:
    path: /config/commun/datauser
    controller: App\Controller\ConfigController::datauser

app_core_config_datauserdefault:
    path: /config/commun/datauserdefault
    controller: App\Controller\ConfigController::datauserdefault

app_core_config_datausers:
    path: /config/commun/datausers
    controller: App\Controller\ConfigController::datausers

app_core_config_datausersdefault:
    path: /config/commun/datausersdefault
    controller: App\Controller\ConfigController::datausersdefault


#== Registration =========================================================================================================
#-- Access config
app_core_config_registration:
    path: /config/registration
    controller: App\Controller\RegistrationController::list

app_core_config_registration_send:
    path: /config/registration/send/{id}
    controller: App\Controller\RegistrationController::send

app_core_config_registration_delete:
    path: /config/registration/delete/{id}
    controller: App\Controller\RegistrationController::delete

app_core_config_registration_ajax_list:
    path: /config/registration/ajax/list
    controller: App\Controller\RegistrationController::ajaxlist

#-- Access user
app_core_registration:
    path: /registration
    controller: App\Controller\RegistrationController::submit

app_core_registration_info:
    path: /registration/info
    controller: App\Controller\RegistrationController::info

app_core_registration_validation:
    path: /registration/validation/{key}
    controller: App\Controller\RegistrationController::validation

app_core_resetpwd01:
    path: /resetpwd01
    controller: App\Controller\RegistrationController::resetpwd01

app_core_resetpwd02:
    path: /resetpwd02/{key}
    controller: App\Controller\RegistrationController::resetpwd02


#== User =================================================================================================================
#-- Access config
app_core_config_user:
    path: /config/user
    controller: App\Controller\UserController::list
    defaults: { access: config }

app_core_config_user_submit:
    path: /config/user/submit
    controller: App\Controller\UserController::submit
    defaults: { access: config  }

app_core_config_user_update:
    path: /config/user/update/{id}
    controller: App\Controller\UserController::update
    defaults: { access: config }

app_core_config_user_delete:
    path: /config/user/delete/{id}
    controller: App\Controller\UserController::delete
    defaults: { access: config  }

app_core_config_user_sync:
    path: /config/user/sync
    controller: App\Controller\UserController::sync
    defaults: { access: config  }

app_core_config_user_ajax_list:
    path: /config/user/ajax/list
    controller: App\Controller\UserController::ajaxlist
    defaults: { access: config  }

app_core_config_user_ajax_selectlist:
    path: /config/user/ajax/selectlist
    controller: App\Controller\UserController::selectlist
    defaults: { access: config  }

app_core_config_mailing:
    path: /config/mailing
    controller: App\Controller\UserController::mailing

app_core_config_importuser:
    path: /config/importuser
    controller: App\Controller\UserController::importuser

app_core_config_importuser_file:
    path: /config/importuserfile
    controller: App\Controller\UserController::importuserfile

app_core_config_importuser_filectrl:
    path: /config/importuserfilectrl
    controller: App\Controller\UserController::importuserfilectrl

app_core_config_user_export:
    path: /config/exportuser
    controller: App\Controller\UserController::exportuser

#-- Access user
app_core_user:
    path: /user
    controller: App\Controller\UserController::profil

app_core_user_user_ajax_list:
    path: /user/user/ajax/list
    controller: App\Controller\UserController::ajaxlist
    defaults: { access: user  }

app_core_user_user_ajax_selectlist:
    path: /user/user/ajax/selectlist
    controller: App\Controller\UserController::selectlist
    defaults: { access: user }

app_core_user_users:
    path: /user/users
    controller: App\Controller\UserController::list
    defaults: { access: user }

app_core_user_view:
    path: /user/view/{id}
    controller: App\Controller\UserController::view

app_core_user_viewcalendar:
    path: /user/viewcalendar
    controller: App\Controller\UserController::viewcalendar

app_core_user_preference:
    path: /user/preference
    controller: App\Controller\UserController::preference


#== Permmodoprofil ========================================================================================================
app_core_config_permmodoprofil:
    path: /config/permmodoprofil
    controller: App\Controller\PermmodoprofilController::list

app_core_config_permmodoprofil_submit:
    path: /config/permmodoprofil/submit
    controller: App\Controller\PermmodoprofilController::submit

app_core_config_permmodoprofil_update:
    path: /config/permmodoprofil/update/{id}
    controller: App\Controller\PermmodoprofilController::update

app_core_config_permmodoprofil_delete:
    path: /config/permmodoprofil/delete/{id}
    controller: App\Controller\PermmodoprofilController::delete

app_core_config_permmodoprofil_ajax_list:
    path: /config/permmodoprofil/ajax/list
    controller: App\Controller\PermmodoprofilController::ajaxlist

app_core_config_permmodo_update:
    path: /config/permmodo/update
    controller: App\Controller\PermmodoprofilController::permmodoupdate

#== Niveau01 =============================================================================================================
app_core_config_niveau01:
    path: /config/niveau01
    controller: App\Controller\Niveau01Controller::list

app_core_config_niveau01_submit:
    path: /config/niveau01/submit
    controller: App\Controller\Niveau01Controller::submit

app_core_config_niveau01_update:
    path: /config/niveau01/update/{id}
    controller: App\Controller\Niveau01Controller::update

app_core_config_niveau01_delete:
    path: /config/niveau01/delete/{id}
    controller: App\Controller\Niveau01Controller::delete

app_core_config_niveau01_ajax_list:
    path: /config/niveau01/ajax/list
    controller: App\Controller\Niveau01Controller::ajaxlist

app_core_config_niveau01_logo:
    path: /config/niveau01/logo
    controller: App\Controller\Niveau01Controller::logo

app_core_config_niveau01_header:
    path: /config/niveau01/header
    controller: App\Controller\Niveau01Controller::header

#== Niveau02 =============================================================================================================
app_core_config_niveau02:
    path: /config/niveau02
    controller: App\Controller\Niveau02Controller::list

app_core_config_niveau02_submit:
    path: /config/niveau02/submit
    controller: App\Controller\Niveau02Controller::submit

app_core_config_niveau02_update:
    path: /config/niveau02/update/{id}
    controller: App\Controller\Niveau02Controller::update

app_core_config_niveau02_delete:
    path: /config/niveau02/delete/{id}
    controller: App\Controller\Niveau02Controller::delete

app_core_config_niveau02_ajax_list:
    path: /config/niveau02/ajax/list
    controller: App\Controller\Niveau02Controller::ajaxlist


#== Group ================================================================================================================
#-- Access config
app_core_config_group:
    path: /config/group
    controller: App\Controller\GroupController::list
    defaults: { access: config }

app_core_config_group_submit:
    path: /config/group/submit
    controller: App\Controller\GroupController::submit
    defaults: { access: config }

app_core_config_group_update:
    path: /config/group/update/{id}
    controller: App\Controller\GroupController::update
    defaults: { access: config }

app_core_config_group_delete:
    path: /config/group/delete/{id}
    controller: App\Controller\GroupController::delete
    defaults: { access: config  }

app_core_config_group_ajax_list:
    path: /config/group/ajax/list
    controller: App\Controller\GroupController::ajaxlist
    defaults: { access: config }

app_core_config_group_users:
    path: /config/group/users/{id}
    controller: App\Controller\GroupController::users
    defaults: { access: config }

app_core_config_group_statistic:
    path: /config/group/statistic/{id}
    controller: App\Controller\GroupController::statistic
    defaults: { access: config }

app_core_config_group_ajax_usersnotin:
    path: /config/group/ajax/usersnotin/{id}
    controller: App\Controller\GroupController::ajaxusersnotin
    defaults: { access: config }

app_core_config_group_ajax_usersin:
    path: /config/group/ajax/usersin/{id}
    controller: App\Controller\GroupController::ajaxusersin
    defaults: { access: config }

app_core_config_group_ajax_usergroup_add:
    path: /config/group/ajax/usergroupadd
    controller: App\Controller\GroupController::usergroupadd
    defaults: { access: config }

app_core_config_group_ajax_usergroup_del:
    path: /config/group/ajax/usergroupdel
    controller: App\Controller\GroupController::usergroupdel
    defaults: { access: config }

app_core_config_group_ajax_changerole:
    path: /config/group/ajax/changerole
    controller: App\Controller\GroupController::changerole
    defaults: { access: config }    

app_core_config_group_export:
    path: /config/group/export
    controller: App\Controller\GroupController::groupexport

app_core_config_group_usergroup_export:
    path: /config/group/users/export/{id}
    controller: App\Controller\GroupController::usergroupexport
    defaults: { access: config }

app_core_config_group_invitation:
    path: /config/group/invitation/{id}
    controller: App\Controller\GroupController::invitation
    defaults: { access: config }

#-- Access user
app_core_user_group:
    path: /user/group
    controller: App\Controller\GroupController::list
    defaults: { access: user }   
    
app_core_user_group_ajax_list:
    path: /user/group/ajax/list
    controller: App\Controller\GroupController::ajaxlist
    defaults: { access: user }    

app_core_user_group_submit:
    path: /user/group/submit
    controller: App\Controller\GroupController::submit
    defaults: { access: user }

app_core_user_group_update:
    path: /user/group/update/{id}
    controller: App\Controller\GroupController::update
    defaults: { access: user }

app_core_user_group_delete:
    path: /user/group/delete/{id}
    controller: App\Controller\GroupController::delete
    defaults: { access: user  }

app_core_user_group_users:
    path: /user/group/users/{id}
    controller: App\Controller\GroupController::users
    defaults: { access: user }    

app_core_user_group_statistic:
    path: /user/group/statistic/{id}
    controller: App\Controller\GroupController::statistic
    defaults: { access: user }

app_core_user_group_info:
    path: /user/group/info/{id}
    controller: App\Controller\GroupController::info
    defaults: { access: user }

app_core_user_group_out:
    path: /user/group/out/{id}
    controller: App\Controller\GroupController::out
    defaults: { access: user }  
    
app_core_user_group_ajax_usersnotin:
    path: /user/group/ajax/usersnotin/{id}
    controller: App\Controller\GroupController::ajaxusersnotin
    defaults: { access: user }

app_core_user_group_ajax_usersin:
    path: /user/group/ajax/usersin/{id}
    controller: App\Controller\GroupController::ajaxusersin
    defaults: { access: user }

app_core_user_group_ajax_usergroup_add:
    path: /user/group/ajax/usergroupadd
    controller: App\Controller\GroupController::usergroupadd
    defaults: { access: user }

app_core_user_group_ajax_usergroup_del:
    path: /user/group/ajax/usergroupdel
    controller: App\Controller\GroupController::usergroupdel
    defaults: { access: user }

app_core_user_group_ajax_changerole:
    path: /user/group/ajax/changerole
    controller: App\Controller\GroupController::changerole
    defaults: { access: user }      

app_core_user_group_usergroup_export:
    path: /user/group/users/export/{id}
    controller: App\Controller\GroupController::usergroupexport
    defaults: { access: user }

app_core_user_group_invitation:
    path: /user/group/invitation/{id}
    controller: App\Controller\GroupController::invitation
    defaults: { access: user }


#== Whitelist ============================================================================================================
app_core_config_whitelist:
    path: /config/whitelist
    controller: App\Controller\WhitelistController::list

app_core_config_whitelist_submit:
    path: /config/whitelist/submit
    controller: App\Controller\WhitelistController::submit

app_core_config_whitelist_update:
    path: /config/whitelist/update/{id}
    controller: App\Controller\WhitelistController::update

app_core_config_whitelist_delete:
    path: /config/whitelist/delete/{id}
    controller: App\Controller\WhitelistController::delete

app_core_config_whitelist_ajax_list:
    path: /config/whitelist/ajax/list
    controller: App\Controller\WhitelistController::ajaxlist


#== Statistic =============================================================================================================
app_core_config_statistic:
    path: /config/statistic
    controller: App\Controller\StatisticController::list


#== Rest ==================================================================================================================
app_core_rest:
    path: /docrest
    controller: App\Controller\CoreController::docrest

# app_core_rest_login:
#   path: /rest/login
#   controller: App\Controller\RestController::login
# 
# app_core_rest_user:
#   path: /rest/user/{login}
#   controller: App\Controller\RestController::user
# 
# app_core_rest_users:
#   path: /rest/users
#   controller: App\Controller\RestController::users
# 
# app_core_rest_groups:
#   path: /rest/groups
#   controller: App\Controller\RestController::groups
# 
# app_core_rest_bookmark_add:
#   path: /rest/bookmark/add
#   controller: App\Controller\RestController::bookmarkadd
# 
# app_core_rest_bookmark_del:
#   path: /rest/bookmark/del
#   controller: App\Controller\RestController::bookmarkdel
# 
# app_core_rest_alert_hide:
#   path: /rest/alert/hide
#   controller: App\Controller\RestController::alerthide


#== Cron ==================================================================================================================
app_cron_config:
    path: /config/cron
    controller: App\Controller\CronController::list

app_cron_config_ajax_list:
    path: /config/cron/ajax/list
    controller: App\Controller\CronController::ajaxlist

app_cron_config_update:
    path: /config/cron/update/{id}
    controller: App\Controller\CronController::update

app_cron_config_exec:
    path: /config/cron/exec/{id}
    controller: App\Controller\CronController::exec

app_cron_config_cronexec:
    path: /config/cron/cronexec
    controller: App\Controller\CronController::cronexec

app_cron_config_cronexecread:
    path: /config/cron/cronexecread
    controller: App\Controller\CronController::cronexecread

app_cron_config_log:
    path: /config/cron/log
    controller: App\Controller\CronController::log

app_cron_config_getlog:
    path: /config/cron/getlog/{id}
    controller: App\Controller\CronController::getlog


#== SYNCENVOLE ============================================================================================================

app_portal_config_syncdelegation:
    path: /config/syncenvole/delegation
    controller: App\Controller\SyncenvoleController::delegation

app_portal_config_syncbalado:
    path: /config/syncenvole/balado
    controller: App\Controller\SyncenvoleController::balado

app_portal_config_synccdt:
    path: /config/syncenvole/cdt
    controller: App\Controller\SyncenvoleController::cdt

app_portal_config_syncgepiannu:
    path: /config/syncenvole/gepiannu
    controller: App\Controller\SyncenvoleController::gepiannu

app_portal_config_syncgepisiecle:
    path: /config/syncenvole/gepisiecle
    controller: App\Controller\SyncenvoleController::gepisiecle

app_portal_config_synclimesurvey:
    path: /config/syncenvole/limesurvey
    controller: App\Controller\SyncenvoleController::limesurvey

app_portal_config_syncmoodle:
    path: /config/syncenvole/moodle
    controller: App\Controller\SyncenvoleController::moodle

app_portal_config_syncnextcloud:
    path: /config/syncenvole/nextcloud
    controller: App\Controller\SyncenvoleController::nextcloud

app_portal_config_syncsacoche:
    path: /config/syncenvole/sacoche
    controller: App\Controller\SyncenvoleController::sacoche

app_portal_config_syncpiwik:
    path: /config/syncenvole/piwik
    controller: App\Controller\SyncenvoleController::piwik

app_portal_config_syncwordpress:
    path: /config/syncenvole/wordpress
    controller: App\Controller\SyncenvoleController::wordpress


#== ICON =================================================================================================================================================
app_portal_config_icon:
    path: /config/icon
    controller: App\Controller\IconController::list
    defaults: { access: config }

app_portal_config_icon_submit:
    path: /config/icon/submit
    controller: App\Controller\IconController::submit
    defaults: { access: config  }

app_portal_config_icon_update:
    path: /config/icon/update/{id}
    controller: App\Controller\IconController::update
    defaults: { access: config }

app_portal_config_icon_delete:
    path: /config/icon/delete/{id}
    controller: App\Controller\IconController::delete
    defaults: { access: config }

app_portal_config_icon_select:
    path: /config/icon/select
    controller: App\Controller\IconController::select
    defaults: { access: config }

app_portal_config_icon_icon:
    path: /config/icon/icon
    controller: App\Controller\IconController::icon
    defaults: { access: config }

app_portal_user_icon:
    path: /user/icon
    controller: App\Controller\IconController::list
    defaults: { access: user }

app_portal_user_icon_submit:
    path: /user/icon/submit
    controller: App\Controller\IconController::submit
    defaults: { access: user }

app_portal_user_icon_update:
    path: /user/icon/update/{id}
    controller: App\Controller\IconController::update
    defaults: { access: user }

app_portal_user_icon_delete:
    path: /user/icon/delete/{id}
    controller: App\Controller\IconController::delete
    defaults: { access: user }

app_portal_user_icon_select:
    path: /user/icon/select
    controller: App\Controller\IconController::select
    defaults: { access: user }

app_portal_user_icon_icon:
    path: /user/icon/icon
    controller: App\Controller\IconController::icon
    defaults: { access: user }


#== ITEM =================================================================================================================================================
app_portal_config_item:
    path: /config/item
    controller: App\Controller\ItemController::list

app_portal_config_item_submit:
    path: /config/item/submit
    controller: App\Controller\ItemController::submit
    
app_portal_config_item_update:
    path: /config/item/update/{id}
    controller: App\Controller\ItemController::update

app_portal_config_item_delete:
    path: /config/item/delete/{id}
    controller: App\Controller\ItemController::delete

app_portal_config_item_order:
    path: /config/item/order
    controller: App\Controller\ItemController::order

app_portal_config_item_forceorder:
    path: /config/item/forceorder
    controller: App\Controller\ItemController::forceorder

app_portal_config_ajax_item_seleclist:
    path: /config/item/ajax/selectlist
    controller: App\Controller\ItemController::ajaxseleclist


#== ITEM CATEGORY ========================================================================================================================================
app_portal_config_itemcategory_submit:
    path: /config/itemcategory/submit
    controller: App\Controller\ItemcategoryController::submit

app_portal_config_itemcategory_update:
    path: /config/itemcategory/update/{id}
    controller: App\Controller\ItemcategoryController::update

app_portal_config_itemcategory_delete:
    path: /config/itemcategory/delete/{id}
    controller: App\Controller\ItemcategoryController::delete
 
app_portal_config_itemcategory_order:
    path: /config/itemcategory/order
    controller: App\Controller\ItemcategoryController::order


#== ALERT ================================================================================================================================================
app_portal_config_alert:
    path: /config/alert
    controller: App\Controller\AlertController::list

app_portal_config_alert_submit:
    path: /config/alert/submit
    controller: App\Controller\AlertController::submit

app_portal_config_alert_update:
    path: /config/alert/update/{id}
    controller: App\Controller\AlertController::update

app_portal_config_alert_delete:
    path: /config/alert/delete/{id}
    controller: App\Controller\AlertController::delete

app_portal_config_alert_order:
    path: /config/alert/order
    controller: App\Controller\AlertController::order

app_portal_config_alert_upload:
    path: /config/alert/upload
    controller: App\Controller\AlertController::upload

app_portal_config_alert_upload_direct:
    path: /config/alert/upload&responseType=json
    controller: App\Controller\AlertController::upload

app_portal_config_ajax_alert_seleclist:
    path: /config/alert/ajax/selectlist
    controller: App\Controller\AlertController::ajaxseleclist

app_portal_user_alert_read:
    path: /user/alert/read
    controller: App\Controller\AlertController::read


#== ALERT CATEGORY =======================================================================================================================================
app_portal_config_alertcategory_submit:
    path: /config/alertcategory/submit
    controller: App\Controller\AlertcategoryController::submit

app_portal_config_alertcategory_update:
    path: /config/alertcategory/update/{id}
    controller: App\Controller\AlertcategoryController::update

app_portal_config_alertcategory_delete:
    path: /config/alertcategory/delete/{id}
    controller: App\Controller\AlertcategoryController::delete


#== FLUX =================================================================================================================================================
app_portal_config_flux:
    path: /config/flux
    controller: App\Controller\FluxController::list

app_portal_config_flux_submit:
    path: /config/flux/submit
    controller: App\Controller\FluxController::submit

app_portal_config_flux_update:
    path: /config/flux/update/{id}
    controller: App\Controller\FluxController::update

app_portal_config_flux_delete:
    path: /config/flux/delete/{id}
    controller: App\Controller\FluxController::delete

app_portal_config_flux_order:
    path: /config/flux/order
    controller: App\Controller\FluxController::order

app_portal_config_ajax_flux_seleclist:
    path: /config/flux/ajax/selectlist
    controller: App\Controller\FluxController::ajaxseleclist


#== NOTICE ===============================================================================================================================================
app_portal_config_notice:
    path: /config/notice
    controller: App\Controller\NoticeController::list

app_portal_config_notice_submit:
    path: /config/notice/submit
    controller: App\Controller\NoticeController::submit

app_portal_config_notice_update:
    path: /config/notice/update/{id}
    controller: App\Controller\NoticeController::update

app_portal_config_notice_delete:
    path: /config/notice/delete/{id}
    controller: App\Controller\NoticeController::delete

app_portal_config_notice_users:
    path: /config/notice/users/{id}
    controller: App\Controller\NoticeController::users

app_portal_config_notice_users_delete:
    path: /config/notice/users/{id}/delete/{userid}
    controller: App\Controller\NoticeController::usersdelete

app_portal_config_notice_users_deleteall:
    path: /config/notice/users/{id}/deleteall
    controller: App\Controller\NoticeController::usersdeleteall

app_portal_user_notice_haveread:
    path: /user/notice/haveread
    controller: App\Controller\NoticeController::haveread

app_portal_user_notice_view:
    path: /notice/view
    controller: App\Controller\NoticeController::view

app_portal_config_ajax_notice_seleclist:
    path: /config/notice/ajax/selectlist
    controller: App\Controller\NoticeController::ajaxseleclist

#== PAGE TEMPLATE ========================================================================================================================================

#-- Access config
app_portal_config_pagetemplate:
    path: /config/template
    controller: App\Controller\PagetemplateController::list

app_portal_config_pagetemplate_ajax_list:
    path: /config/template/ajax/list
    controller: App\Controller\PagetemplateController::ajaxlist
    defaults: { access: config }

app_portal_config_pagetemplate_submit:
    path: /config/template/submit
    controller: App\Controller\PagetemplateController::submit
    defaults: { access: config }    

app_portal_config_pagetemplate_update:
    path: /config/template/update/{id}
    controller: App\Controller\PagetemplateController::update
    defaults: { access: config }      

app_portal_config_pagetemplate_delete:
    path: /config/template/delete/{id}
    controller: App\Controller\PagetemplateController::delete
    defaults: { access: config }          

app_portal_config_pagetemplate_view:
    path: /config/template/view/{id}
    controller: App\Controller\PagetemplateController::view
    defaults: { access: config }   

app_portal_user_pagetemplate_ajax_selectlist:
    path: /user/template/selectlist
    controller: App\Controller\PagetemplateController::ajaxseleclist
    defaults: { access: user }   


#== PAGE =================================================================================================================================================

#-- Access config
app_portal_config_page:
    path: /config/page
    controller: App\Controller\PageController::list

app_portal_config_page_ajax_list:
    path: /config/page/ajax/list
    controller: App\Controller\PageController::ajaxlist
    defaults: { access: config }

app_portal_config_ajax_page_seleclist:
    path: /config/page/ajax/selectlist
    controller: App\Controller\PageController::ajaxseleclist
    defaults: { access: config  }

app_portal_config_page_submit:
    path: /config/page/submit
    controller: App\Controller\PageController::submit
    defaults: { access: config }       

app_portal_config_page_update:
    path: /config/page/update/{id}
    controller: App\Controller\PageController::update
    defaults: { access: config }      

app_portal_config_page_delete:
    path: /config/page/delete/{id}
    controller: App\Controller\PageController::delete
    defaults: { access: config }          

app_portal_config_page_view:
    path: /config/page/view/{id}
    controller: App\Controller\PageController::view
    defaults: { access: config }          

app_portal_config_page_order:
    path: /config/page/order
    controller: App\Controller\PageController::order
    defaults: { access: config }         
    
app_portal_config_page_upload:
    path: /config/page/upload
    controller: App\Controller\PageController::upload
    defaults: { access: config }  

app_portal_config_page_upload_direct:
    path: /config/page/upload&responseType=json
    controller: App\Controller\PageController::upload
    defaults: { access: config }  

#-- Access user    
app_portal_user_page_submit:
    path: /user/page/submit
    controller: App\Controller\PageController::submit
    defaults: { access: user }       

app_portal_user_page_update:
    path: /user/page/update/{id}
    controller: App\Controller\PageController::update
    defaults: { access: user }      

app_portal_user_page_delete:
    path: /user/page/delete/{id}
    controller: App\Controller\PageController::delete
    defaults: { access: user }   

app_portal_user_page_share:
    path: /user/page/share/{id}
    controller: App\Controller\PageController::share
    defaults: { access: user }   

app_portal_user_page_view:
    path: /page/view/{id}
    controller: App\Controller\PageController::view
    defaults: { access: user }      

app_portal_user_page_order:
    path: /user/page/order
    controller: App\Controller\PageController::order
    defaults: { access: user }     
    
app_portal_user_page_upload:
    path: /user/page/upload
    controller: App\Controller\PageController::upload
    defaults: { access: user }  

app_portal_user_page_upload_direct:
    path: /user/page/upload&responseType=json
    controller: App\Controller\PageController::upload
    defaults: { access: user }

# Page spécifique
app_portal_user_page_application:
    path: /page/application
    controller: App\Controller\PageController::application
    defaults: { access: user } 

app_portal_user_page_ajax_msgcounter:
    path: /page/ajax/msgcounter
    controller: App\Controller\PageController::msgcounter
    defaults: { access: user } 


#== BOOKMARK =============================================================================================================================================

#-- Access config
app_portal_config_bookmark_submit:
    path: /config/bookmark/submit/{idpage}/{idwidget}/{touser}
    controller: App\Controller\BookmarkController::submit
    defaults: { access: config }   

app_portal_config_bookmark_update:
    path: /config/bookmark/update/{idpage}/{id}
    controller: App\Controller\BookmarkController::update
    defaults: { access: config }  

app_portal_config_bookmark_delete:
    path: /config/bookmark/delete/{idpage}/{id}
    controller: App\Controller\BookmarkController::delete
    defaults: { access: config }  

#-- Access user    
app_portal_user_bookmark_submit:
    path: /user/bookmark/submit/{idpage}/{idwidget}/{touser}
    controller: App\Controller\BookmarkController::submit
    defaults: { access: user }   

app_portal_user_bookmark_update:
    path: /user/bookmark/update/{idpage}/{id}
    controller: App\Controller\BookmarkController::update
    defaults: { access: user }  

app_portal_user_bookmark_delete:
    path: /user/bookmark/delete/{idpage}/{id}
    controller: App\Controller\BookmarkController::delete
    defaults: { access: user }  

app_portal_user_bookmark_heart:    
    path: /user/bookmark/heart
    controller: App\Controller\BookmarkController::heart
    defaults: { access: user }  




#== SLIDE ================================================================================================================================================
#-- Access config
app_portal_config_slide_list:
    path: /config/slide/{idpage}/{idwidget}
    controller: App\Controller\SlideController::list
    defaults: { access: config }   

app_portal_config_slide_submit:
    path: /config/slide/submit/{idpage}/{idwidget}
    controller: App\Controller\SlideController::submit
    defaults: { access: config }   

app_portal_config_slide_update:
    path: /config/slide/update/{idpage}/{id}
    controller: App\Controller\SlideController::update
    defaults: { access: config }  

app_portal_config_slide_delete:
    path: /config/slide/delete/{idpage}/{id}
    controller: App\Controller\SlideController::delete
    defaults: { access: config }  

app_portal_config_slide_upload:
    path: /config/slide/upload
    controller: App\Controller\SlideController::upload
    defaults: { access: user }  

#-- Access user    
app_portal_user_slide_list:
    path: /user/slide/{idpage}/{idwidget}
    controller: App\Controller\SlideController::list
    defaults: { access: user }   

app_portal_user_slide_submit:
    path: /user/slide/submit/{idpage}/{idwidget}
    controller: App\Controller\SlideController::submit
    defaults: { access: user }   

app_portal_user_slide_update:
    path: /user/slide/update/{idpage}/{id}
    controller: App\Controller\SlideController::update
    defaults: { access: user }  

app_portal_user_slide_delete:
    path: /user/slide/delete/{idpage}/{id}
    controller: App\Controller\SlideController::delete
    defaults: { access: user }  

app_portal_user_slide_upload:
    path: /user/slide/upload
    controller: App\Controller\SlideController::upload
    defaults: { access: user }  


#== BLOG =================================================================================================================================================

#-- Access config
app_portal_config_blog:
    path: /config/blog
    controller: App\Controller\BlogController::list

app_portal_config_blog_ajax_list:
    path: /config/blog/ajax/list
    controller: App\Controller\BlogController::ajaxlist
    defaults: { access: config }

app_portal_config_blog_view:
    path: /config/blog/view/{id}
    controller: App\Controller\BlogController::view
    defaults: { access: config, id: 0 }    

app_portal_config_blog_submit:
    path: /config/blog/submit
    controller: App\Controller\BlogController::submit
    defaults: { access: config }       

app_portal_config_blog_update:
    path: /config/blog/update/{id}
    controller: App\Controller\BlogController::update
    defaults: { access: config }      

app_portal_config_blog_delete:
    path: /config/blog/delete/{id}
    controller: App\Controller\BlogController::delete
    defaults: { access: config }          

app_portal_config_blog_share:
    path: /config/blog/share/{id}
    controller: App\Controller\BlogController::share
    defaults: { access: config }   

app_portal_config_blog_writer:
    path: /config/blog/writer/{id}
    controller: App\Controller\BlogController::writer
    defaults: { access: config }   
       
app_portal_config_ajax_blog_seleclist:
    path: /config/blog/ajax/selectlist
    controller: App\Controller\BlogController::ajaxseleclist

#-- Access user   
app_portal_user_blog_view:
    path: /blog/{id}
    controller: App\Controller\BlogController::view
    defaults: { access: user, id: 0 }    

app_portal_user_blog_submit:
    path: /user/blog/submit
    controller: App\Controller\BlogController::submit
    defaults: { access: user }       

app_portal_user_blog_update:
    path: /user/blog/update/{id}
    controller: App\Controller\BlogController::update
    defaults: { access: user }      

app_portal_user_blog_delete:
    path: /user/blog/delete/{id}
    controller: App\Controller\BlogController::delete
    defaults: { access: user }   

app_portal_user_blog_share:
    path: /user/blog/share/{id}
    controller: App\Controller\BlogController::share
    defaults: { access: user }  

app_portal_user_blog_writer:
    path: /user/blog/writer/{id}
    controller: App\Controller\BlogController::writer
    defaults: { access: user }   
    
    


#== BLOGARTICLE ==========================================================================================================================================

#-- Access config
app_portal_config_blogarticle_view:
    path: /config/blogarticle/view/{id}
    controller: App\Controller\BlogarticleController::view
    defaults: { access: config }           

app_portal_config_blogarticle_submit:
    path: /config/blogarticle/submit/{idblog}
    controller: App\Controller\BlogarticleController::submit
    defaults: { access: config}       

app_portal_config_blogarticle_update:
    path: /config/blogarticle/update/{id}
    controller: App\Controller\BlogarticleController::update
    defaults: { access: config }      

app_portal_config_blogarticle_delete:
    path: /config/blogarticle/delete/{id}
    controller: App\Controller\BlogarticleController::delete
    defaults: { access: config }          

app_portal_config_blogarticle_upload:
    path: /config/blogarticle/upload
    controller: App\Controller\BlogarticleController::upload
    defaults: { access: config }    

app_portal_config_blogarticle_upload_direct:
    path: /config/blogarticle/upload&responseType=json
    controller: App\Controller\BlogarticleController::upload
    defaults: { access: config }
    
app_portal_config_blogarticle_image:
    path: /config/blogarticle/image
    controller: App\Controller\BlogarticleController::image
    defaults: { access: config } 

#-- Access user   
app_portal_user_blogarticle_view:
    path: /blogarticle/{id}
    controller: App\Controller\BlogarticleController::view
    defaults: { access: user }    

app_portal_user_blogarticle_submit:
    path: /user/blogarticle/submit/{idblog}
    controller: App\Controller\BlogarticleController::submit
    defaults: { access: user, idblog: 0 }       

app_portal_user_blogarticle_update:
    path: /user/blogarticle/update/{id}
    controller: App\Controller\BlogarticleController::update
    defaults: { access: user }      

app_portal_user_blogarticle_delete:
    path: /user/blogarticle/delete/{id}
    controller: App\Controller\BlogarticleController::delete
    defaults: { access: user }   

app_portal_user_blogarticle_upload:
    path: /user/blogarticle/upload
    controller: App\Controller\BlogarticleController::upload
    defaults: { access: user } 

app_portal_user_blogarticle_upload_direct:
    path: /user/blogarticle/upload&responseType=json
    controller: App\Controller\BlogarticleController::upload
    defaults: { access: user }

app_portal_user_blogarticle_image:
    path: /user/blogarticle/image
    controller: App\Controller\BlogarticleController::image
    defaults: { access: user } 


#== BLOGCOMMENT ==========================================================================================================================================

#-- Access config
app_portal_config_blogcomment_submit:
    path: /config/blogcomment/submit/{idarticle}
    controller: App\Controller\BlogcommentController::submit
    defaults: { access: config}       

app_portal_config_blogcomment_reply:
    path: /config/blogcomment/reply/{idarticle}/{idcomment}
    controller: App\Controller\BlogcommentController::reply
    defaults: { access: config}   

app_portal_config_blogcomment_update:
    path: /config/blogcomment/update/{id}
    controller: App\Controller\BlogcommentController::update
    defaults: { access: config }      

app_portal_config_blogcomment_delete:
    path: /config/blogcomment/delete/{id}
    controller: App\Controller\BlogcommentController::delete
    defaults: { access: config }          

app_portal_config_blogcomment_upload:
    path: /config/blogcomment/upload
    controller: App\Controller\BlogcommentController::upload
    defaults: { access: config }    

app_portal_config_blogcomment_upload_direct:
    path: /config/blogcomment/upload&responseType=json
    controller: App\Controller\BlogcommentController::upload
    defaults: { access: config }

#-- Access user   
app_portal_user_blogcomment_submit:
    path: /user/blogcomment/submit/{idarticle}
    controller: App\Controller\BlogcommentController::submit
    defaults: { access: user }       

app_portal_user_blogcomment_reply:
    path: /user/blogcomment/reply/{idarticle}/{idcomment}
    controller: App\Controller\BlogcommentController::reply
    defaults: { access: user}   

app_portal_user_blogcomment_update:
    path: /user/blogcomment/update/{id}
    controller: App\Controller\BlogcommentController::update
    defaults: { access: user }      

app_portal_user_blogcomment_delete:
    path: /user/blogcomment/delete/{id}
    controller: App\Controller\BlogcommentController::delete
    defaults: { access: user }   

app_portal_user_blogcomment_upload:
    path: /user/blogcomment/upload
    controller: App\Controller\BlogcommentController::upload
    defaults: { access: user } 

app_portal_user_blogcomment_upload_direct:
    path: /user/blogcomment/upload&responseType=json
    controller: App\Controller\BlogcommentController::upload
    defaults: { access: user }

#== CALENDAR =============================================================================================================================================

#-- Access config
app_portal_config_calendar:
    path: /config/calendar
    controller: App\Controller\CalendarController::list

app_portal_config_calendar_ajax_list:
    path: /config/calendar/ajax/list
    controller: App\Controller\CalendarController::ajaxlist
    defaults: { access: config }

app_portal_config_calendar_submit:
    path: /config/calendar/submit
    controller: App\Controller\CalendarController::submit
    defaults: { access: config }       

app_portal_config_calendar_update:
    path: /config/calendar/update/{id}
    controller: App\Controller\CalendarController::update
    defaults: { access: config }      

app_portal_config_calendar_delete:
    path: /config/calendar/delete/{id}
    controller: App\Controller\CalendarController::delete
    defaults: { access: config }          

app_portal_config_calendar_share:
    path: /config/calendar/share/{id}
    controller: App\Controller\CalendarController::share
    defaults: { access: config }   

app_portal_config_calendar_view:
    path: /config/calendar/view
    controller: App\Controller\CalendarController::view
    defaults: { access: config }           

app_portal_config_ajax_calendar_seleclist:
    path: /config/calendar/ajax/selectlist
    controller: App\Controller\CalendarController::ajaxseleclist

#-- Access user   
app_portal_user_calendar_view:
    path: /calendar
    controller: App\Controller\CalendarController::view
    defaults: { access: user }    

app_portal_user_calendar_submit:
    path: /user/calendar/submit
    controller: App\Controller\CalendarController::submit
    defaults: { access: user }       

app_portal_user_calendar_update:
    path: /user/calendar/update/{id}
    controller: App\Controller\CalendarController::update
    defaults: { access: user }      

app_portal_user_calendar_delete:
    path: /user/calendar/delete/{id}
    controller: App\Controller\CalendarController::delete
    defaults: { access: user }   

app_portal_user_calendar_share:
    path: /user/calendar/share/{id}
    controller: App\Controller\CalendarController::share
    defaults: { access: user }   

  
  

#== CALENDAREVENT ========================================================================================================================================

#-- Access config
app_portal_config_calendarevent_load:
    path: /config/calendarevent/load
    controller: App\Controller\CalendareventController::load
    defaults: { access: config }   

app_portal_config_calendarevent_submit:
    path: /config/calendarevent/submit
    controller: App\Controller\CalendareventController::submit
    defaults: { access: config }       

app_portal_config_calendarevent_update:
    path: /config/calendarevent/update
    controller: App\Controller\CalendareventController::update
    defaults: { access: config }      

app_portal_config_calendarevent_delete:
    path: /config/calendarevent/delete
    controller: App\Controller\CalendareventController::delete
    defaults: { access: config }          

app_portal_config_calendarevent_share:
    path: /config/calendarevent/share/{id}
    controller: App\Controller\CalendareventController::share
    defaults: { access: config }   

app_portal_config_calendarevent_loadpj:
    path: /config/calendarevent/loadpj
    controller: App\Controller\CalendareventController::loadpj
    defaults: { access: config }  

#-- Access user    
app_portal_user_calendarevent_load:
    path: /calendarevent/load
    controller: App\Controller\CalendareventController::load
    defaults: { access: user }   

app_portal_user_calendarevent_submit:
    path: /user/calendarevent/submit
    controller: App\Controller\CalendareventController::submit
    defaults: { access: user }       

app_portal_user_calendarevent_update:
    path: /user/calendarevent/update
    controller: App\Controller\CalendareventController::update
    defaults: { access: user }      

app_portal_user_calendarevent_delete:
    path: /user/calendarevent/delete
    controller: App\Controller\CalendareventController::delete
    defaults: { access: user }          

app_portal_user_calendarevent_share:
    path: /user/calendarevent/share/{id}
    controller: App\Controller\CalendareventController::share
    defaults: { access: user }   

app_portal_user_calendarevent_loadpj:
    path: /user/calendarevent/loadpj
    controller: App\Controller\CalendareventController::loadpj
    defaults: { access: user }  

#== PROJECT =================================================================================================================================================

#-- Access config
app_portal_config_project:
    path: /config/project
    controller: App\Controller\ProjectController::list

app_portal_config_project_ajax_list:
    path: /config/project/ajax/list
    controller: App\Controller\ProjectController::ajaxlist
    defaults: { access: config }

app_portal_config_project_view:
    path: /config/project/view/{id}
    controller: App\Controller\ProjectController::view
    defaults: { access: config, id: 0 }    

app_portal_config_project_submit:
    path: /config/project/submit
    controller: App\Controller\ProjectController::submit
    defaults: { access: config }       

app_portal_config_project_update:
    path: /config/project/update/{id}
    controller: App\Controller\ProjectController::update
    defaults: { access: config }      

app_portal_config_project_delete:
    path: /config/project/delete/{id}
    controller: App\Controller\ProjectController::delete
    defaults: { access: config }          

app_portal_config_project_share:
    path: /config/project/share/{id}
    controller: App\Controller\ProjectController::share
    defaults: { access: config }   

app_portal_config_project_writer:
    path: /config/project/writer/{id}
    controller: App\Controller\ProjectController::writer
    defaults: { access: config }   
       
app_portal_config_ajax_project_seleclist:
    path: /config/project/ajax/selectlist
    controller: App\Controller\ProjectController::ajaxseleclist

#-- Access user   
app_portal_user_project_view:
    path: /project/{id}
    controller: App\Controller\ProjectController::view
    defaults: { access: user, id: 0 }    

app_portal_user_project_submit:
    path: /user/project/submit
    controller: App\Controller\ProjectController::submit
    defaults: { access: user }       

app_portal_user_project_update:
    path: /user/project/update/{id}
    controller: App\Controller\ProjectController::update
    defaults: { access: user }      

app_portal_user_project_delete:
    path: /user/project/delete/{id}
    controller: App\Controller\ProjectController::delete
    defaults: { access: user }   

app_portal_user_project_share:
    path: /user/project/share/{id}
    controller: App\Controller\ProjectController::share
    defaults: { access: user }  

app_portal_user_project_writer:
    path: /user/project/writer/{id}
    controller: App\Controller\ProjectController::writer
    defaults: { access: user }   
    
#== PROJECTTASK ==========================================================================================================================================

#-- Access config
app_portal_config_projecttask_view:
    path: /config/projecttask/view/{id}
    controller: App\Controller\ProjecttaskController::view
    defaults: { access: config }           

app_portal_config_projecttask_submit:
    path: /config/projecttask/submit/{idproject}
    controller: App\Controller\ProjecttaskController::submit
    defaults: { access: config}       

app_portal_config_projecttask_update:
    path: /config/projecttask/update/{id}
    controller: App\Controller\ProjecttaskController::update
    defaults: { access: config }      

app_portal_config_projecttask_delete:
    path: /config/projecttask/delete/{id}
    controller: App\Controller\ProjecttaskController::delete
    defaults: { access: config }          

app_portal_config_projecttask_upload:
    path: /config/projecttask/upload
    controller: App\Controller\ProjecttaskController::upload
    defaults: { access: config }    

app_portal_config_projecttask_upload_direct:
    path: /config/projecttask/upload&responseType=json
    controller: App\Controller\ProjecttaskController::upload
    defaults: { access: config }

app_portal_config_projecttask_users:
    path: /config/projecttask/users
    controller: App\Controller\ProjecttaskController::users
    defaults: { access: config } 

app_portal_config_projecttask_percentage:
    path: /config/projecttask/percentage/{id}
    controller: App\Controller\ProjecttaskController::percentage
    defaults: { access: config } 

#-- Access user   
app_portal_user_projecttask_view:
    path: /projecttask/{id}
    controller: App\Controller\ProjecttaskController::view
    defaults: { access: user }    

app_portal_user_projecttask_submit:
    path: /user/projecttask/submit/{idproject}
    controller: App\Controller\ProjecttaskController::submit
    defaults: { access: user, idproject: 0 }       

app_portal_user_projecttask_update:
    path: /user/projecttask/update/{id}
    controller: App\Controller\ProjecttaskController::update
    defaults: { access: user }      

app_portal_user_projecttask_delete:
    path: /user/projecttask/delete/{id}
    controller: App\Controller\ProjecttaskController::delete
    defaults: { access: user }   

app_portal_user_projecttask_upload:
    path: /user/projecttask/upload
    controller: App\Controller\ProjecttaskController::upload
    defaults: { access: user } 

app_portal_user_projecttask_upload_direct:
    path: /user/projecttask/upload&responseType=json
    controller: App\Controller\ProjecttaskController::upload
    defaults: { access: user }

app_portal_user_projecttask_users:
    path: /user/projecttask/users
    controller: App\Controller\ProjecttaskController::users
    defaults: { access: user } 
        
app_portal_user_projecttask_percentage:
    path: /user/projecttask/percentage/{id}
    controller: App\Controller\ProjecttaskController::percentage
    defaults: { access: user } 


#== PROJECT COMMENT ==========================================================================================================================================

#-- Access config
app_portal_config_projectcomment_submit:
    path: /config/projectcomment/submit/{idtask}
    controller: App\Controller\ProjectcommentController::submit
    defaults: { access: config}       

app_portal_config_projectcomment_update:
    path: /config/projectcomment/update/{id}
    controller: App\Controller\ProjectcommentController::update
    defaults: { access: config }      

app_portal_config_projectcomment_delete:
    path: /config/projectcomment/delete/{id}
    controller: App\Controller\ProjectcommentController::delete
    defaults: { access: config }          

app_portal_config_projectcomment_upload:
    path: /config/projectcomment/upload
    controller: App\Controller\ProjectcommentController::upload
    defaults: { access: config }    

app_portal_config_projectcomment_upload_direct:
    path: /config/projectcomment/upload&responseType=json
    controller: App\Controller\ProjectcommentController::upload
    defaults: { access: config }

#-- Access user   
app_portal_user_projectcomment_submit:
    path: /user/projectcomment/submit/{idtask}
    controller: App\Controller\ProjectcommentController::submit
    defaults: { access: user }       

app_portal_user_projectcomment_update:
    path: /user/projectcomment/update/{id}
    controller: App\Controller\ProjectcommentController::update
    defaults: { access: user }      

app_portal_user_projectcomment_delete:
    path: /user/projectcomment/delete/{id}
    controller: App\Controller\ProjectcommentController::delete
    defaults: { access: user }   

app_portal_user_projectcomment_upload:
    path: /user/projectcomment/upload
    controller: App\Controller\ProjectcommentController::upload
    defaults: { access: user } 
    
app_portal_user_projectcomment_upload_direct:
    path: /user/projectcomment/upload&responseType=json
    controller: App\Controller\ProjectcommentController::upload
    defaults: { access: user }

#== FEED =================================================================================================================================================

app_portal_user_feed_limesurvey:
    path: /feed/limesurvey/{id}
    controller: App\Controller\FeedController::limesurvey

app_portal_user_feed_moodle:
    path: /feed/moodle/{id}
    controller: App\Controller\FeedController::moodle


#== TOOL =================================================================================================================================================

app_portal_user_tool_clockanalogique:
    path: /tool/clockanalogique
    controller: App\Controller\PagewidgetController::clockanalogique

app_portal_user_tool_clocknumerique:
    path: /tool/clocknumerique
    controller: App\Controller\PagewidgetController::clocknumerique

app_portal_user_tool_calculator:
    path: /tool/calculator
    controller: App\Controller\PagewidgetController::calculator




#== PAGE WIDGET ==========================================================================================================================================

#-- Access config
app_portal_config_pagewidget_widget_sumbit:
    path: /config/pagewidget/submit/{idpage}/{idwidgettype}
    controller: App\Controller\PagewidgetController::submit
    defaults: { access: config }   

app_portal_config_pagewidget_widget_update:
    path: /config/pagewidget/update/{idpage}/{idwidget}
    controller: App\Controller\PagewidgetController::update
    defaults: { access: config }   

app_portal_config_pagewidget_delete:
    path: /config/pagewidget/delete
    controller: App\Controller\PagewidgetController::delete
    defaults: { access: config }   

app_portal_config_pagewidget_order:
    path: /config/pagewidget/order
    controller: App\Controller\PagewidgetController::order
    defaults: { access: config }     

app_portal_config_pagewidget_upload:
    path: /config/pagewidget/upload
    controller: App\Controller\PagewidgetController::upload
    defaults: { access: config }     

app_portal_config_pagewidget_upload_direct:
    path: /config/pagewidget/upload&responseType=json
    controller: App\Controller\PagewidgetController::upload
    defaults: { access: config } 

app_portal_config_panelwidget_view_url:
    path: /config/pagewidget/view/url/{id}
    controller: App\Controller\PagewidgetController::viewurl
    defaults: { access: config }

app_portal_config_panelwidget_view_urlfixe:
    path: /config/pagewidget/view/urlfixe/{id}
    controller: App\Controller\PagewidgetController::viewurlfixe
    defaults: { access: config }

app_portal_config_panelwidget_view_item:
    path: /config/pagewidget/view/item/{id}
    controller: App\Controller\PagewidgetController::viewitem
    defaults: { access: config }    

app_portal_config_panelwidget_view_itemessential:
    path: /config/pagewidget/view/itemessential/{id}
    controller: App\Controller\PagewidgetController::viewitemessential
    defaults: { access: config }  

app_portal_config_panelwidget_view_alert:
    path: /config/pagewidget/view/alert/{id}
    controller: App\Controller\PagewidgetController::viewalert
    defaults: { access: config }  

app_portal_config_panelwidget_view_flux:
    path: /config/pagewidget/view/flux/{id}
    controller: App\Controller\PagewidgetController::viewflux
    defaults: { access: config }      

app_portal_config_panelwidget_view_rss:
    path: /config/pagewidget/view/rss/{id}
    controller: App\Controller\PagewidgetController::viewrss
    defaults: { access: config }   

app_portal_config_panelwidget_view_bookmark:
    path: /config/pagewidget/view/bookmark/{id}
    controller: App\Controller\PagewidgetController::viewbookmark
    defaults: { access: config }      

app_portal_config_panelwidget_view_link:
    path: /config/pagewidget/view/link/{id}
    controller: App\Controller\PagewidgetController::viewlink
    defaults: { access: config }   

app_portal_config_panelwidget_view_editor:
    path: /config/pagewidget/view/editor/{id}
    controller: App\Controller\PagewidgetController::vieweditor
    defaults: { access: config }  

app_portal_config_panelwidget_view_slide:
    path: /config/pagewidget/view/slide/{id}
    controller: App\Controller\PagewidgetController::viewslide
    defaults: { access: config }       

app_portal_config_panelwidget_view_file:
    path: /config/pagewidget/view/file/{id}
    controller: App\Controller\PagewidgetController::viewfile
    defaults: { access: config }   

app_portal_config_panelwidget_view_galery:
    path: /config/pagewidget/view/galery/{id}
    controller: App\Controller\PagewidgetController::viewgalery
    defaults: { access: config }   

app_portal_config_panelwidget_view_calendar:
    path: /config/pagewidget/view/calendar/{id}
    controller: App\Controller\PagewidgetController::viewcalendar
    defaults: { access: config }   

app_portal_config_panelwidget_view_blog:
    path: /config/pagewidget/view/blog/{id}
    controller: App\Controller\PagewidgetController::viewblog
    defaults: { access: config }   

app_portal_config_panelwidget_view_project:
    path: /config/pagewidget/view/project/{id}
    controller: App\Controller\PagewidgetController::viewproject
    defaults: { access: config }   

app_portal_config_panelwidget_view_separator:
    path: /config/pagewidget/view/separator/{id}
    controller: App\Controller\PagewidgetController::viewseparator
    defaults: { access: config }   

app_portal_config_panelwidget_view_clock:
    path: /config/pagewidget/view/clock/{id}
    controller: App\Controller\PagewidgetController::viewclock
    defaults: { access: config }    

app_portal_config_panelwidget_view_calculator:
    path: /config/pagewidget/view/calculator/{id}
    controller: App\Controller\PagewidgetController::viewcalculator
    defaults: { access: config }      

app_portal_config_panelwidget_view_appexternal:
    path: /config/pagewidget/view/appexternal/{id}
    controller: App\Controller\PagewidgetController::viewappexternal
    defaults: { access: config }   

app_portal_config_panelwidget_view_info:
    path: /config/pagewidget/view/info/{id}
    controller: App\Controller\PagewidgetController::viewinfo
    defaults: { access: config }   

app_portal_config_panelwidget_view_chat:
    path: /config/pagewidget/view/chat/{id}
    controller: App\Controller\PagewidgetController::viewchat
    defaults: { access: config }      

app_portal_config_panelwidget_view_group:
    path: /config/pagewidget/view/group/{id}
    controller: App\Controller\PagewidgetController::viewgroup
    defaults: { access: config }   

app_portal_config_panelwidget_view_groupmessage:
    path: /config/pagewidget/view/groupmessage/{id}
    controller: App\Controller\PagewidgetController::viewgroupmessage
    defaults: { access: config }  

app_portal_config_panelwidget_view_onlydoc:
    path: /config/pagewidget/view/onlydoc/{id}
    controller: App\Controller\PagewidgetController::viewonlydoc
    defaults: { access: config }  

#-- Access user    
app_portal_user_pagewidget_widget_sumbit:
    path: /user/pagewidget/submit/{idpage}/{idwidgettype}
    controller: App\Controller\PagewidgetController::submit
    defaults: { access: user }   

app_portal_user_pagewidget_widget_update:
    path: /user/pagewidget/update/{idpage}/{idwidget}
    controller: App\Controller\PagewidgetController::update
    defaults: { access: user }   

app_portal_user_pagewidget_delete:
    path: /user/pagewidget/delete
    controller: App\Controller\PagewidgetController::delete
    defaults: { access: user }   

app_portal_user_pagewidget_order:
    path: /user/pagewidget/order
    controller: App\Controller\PagewidgetController::order
    defaults: { access: user }   

app_portal_user_pagewidget_upload:
    path: /user/pagewidget/upload
    controller: App\Controller\PagewidgetController::upload
    defaults: { access: user }  

app_portal_user_pagewidget_upload_direct:
    path: /user/pagewidget/upload&responseType=json
    controller: App\Controller\PagewidgetController::upload
    defaults: { access: user } 

app_portal_user_panelwidget_view_url:
    path: /pagewidget/view/url/{id}
    controller: App\Controller\PagewidgetController::viewurl
    defaults: { access: user }

app_portal_user_panelwidget_view_urlfixe:
    path: /pagewidget/view/urlfixe/{id}
    controller: App\Controller\PagewidgetController::viewurlfixe
    defaults: { access: user }

app_portal_user_panelwidget_view_item:
    path: /pagewidget/view/item/{id}
    controller: App\Controller\PagewidgetController::viewitem
    defaults: { access: user }    

app_portal_user_panelwidget_view_itemessential:
    path: /pagewidget/view/itemessential/{id}
    controller: App\Controller\PagewidgetController::viewitemessential
    defaults: { access: user }    

app_portal_user_panelwidget_view_alert:
    path: /pagewidget/view/alert/{id}
    controller: App\Controller\PagewidgetController::viewalert
    defaults: { access: user }        

app_portal_user_panelwidget_view_flux:
    path: /pagewidget/view/flux/{id}
    controller: App\Controller\PagewidgetController::viewflux
    defaults: { access: user }      

app_portal_user_panelwidget_view_rss:
    path: /pagewidget/view/rss/{id}
    controller: App\Controller\PagewidgetController::viewrss
    defaults: { access: user }   

app_portal_user_panelwidget_view_bookmark:
    path: /pagewidget/view/bookmark/{id}
    controller: App\Controller\PagewidgetController::viewbookmark
    defaults: { access: user }      

app_portal_user_panelwidget_view_link:
    path: /pagewidget/view/link/{id}
    controller: App\Controller\PagewidgetController::viewlink
    defaults: { access: user }   

app_portal_user_panelwidget_view_editor:
    path: /pagewidget/view/editor/{id}
    controller: App\Controller\PagewidgetController::vieweditor
    defaults: { access: user }   

app_portal_user_panelwidget_view_slide:
    path: /pagewidget/view/slide/{id}
    controller: App\Controller\PagewidgetController::viewslide
    defaults: { access: user }       

app_portal_user_panelwidget_view_file:
    path: /pagewidget/view/file/{id}
    controller: App\Controller\PagewidgetController::viewfile
    defaults: { access: user }   

app_portal_user_panelwidget_view_galery:
    path: /pagewidget/view/galery/{id}
    controller: App\Controller\PagewidgetController::viewgalery
    defaults: { access: user }       

app_portal_user_panelwidget_view_calendar:
    path: /pagewidget/view/calendar/{id}
    controller: App\Controller\PagewidgetController::viewcalendar
    defaults: { access: user }   

app_portal_user_panelwidget_view_blog:
    path: /pagewidget/view/blog/{id}
    controller: App\Controller\PagewidgetController::viewblog
    defaults: { access: user }   

app_portal_user_panelwidget_view_project:
    path: /pagewidget/view/project/{id}
    controller: App\Controller\PagewidgetController::viewproject
    defaults: { access: user }   

app_portal_user_panelwidget_view_separator:
    path: /pagewidget/view/separator/{id}
    controller: App\Controller\PagewidgetController::viewseparator
    defaults: { access: user }   

app_portal_user_panelwidget_view_clock:
    path: /pagewidget/view/clock/{id}
    controller: App\Controller\PagewidgetController::viewclock
    defaults: { access: user }      

app_portal_user_panelwidget_view_calculator:
    path: /pagewidget/view/calculator/{id}
    controller: App\Controller\PagewidgetController::viewcalculator
    defaults: { access: user }      

app_portal_user_panelwidget_view_appexternal:
    path: /pagewidget/view/appexternal/{id}
    controller: App\Controller\PagewidgetController::viewappexternal
    defaults: { access: user }   

app_portal_user_panelwidget_view_info:
    path: /pagewidget/view/info/{id}
    controller: App\Controller\PagewidgetController::viewinfo
    defaults: { access: user }   

app_portal_user_panelwidget_view_chat:
    path: /pagewidget/view/chat/{id}
    controller: App\Controller\PagewidgetController::viewchat
    defaults: { access: user }      

app_portal_user_panelwidget_view_group:
    path: /pagewidget/view/group/{id}
    controller: App\Controller\PagewidgetController::viewgroup
    defaults: { access: user }   

app_portal_user_panelwidget_view_groupmessage:
    path: /pagewidget/view/groupmessage/{id}
    controller: App\Controller\PagewidgetController::viewgroupmessage
    defaults: { access: user }       

app_portal_user_panelwidget_view_onlydoc:
    path: /pagewidget/view/onlydoc/{id}
    controller: App\Controller\PagewidgetController::viewonlydoc
    defaults: { access: user }     


#== FRAME ==========================================================================================================================================

app_portal_config_frame_only:
    path: /config/frame/only/{directory}
    controller: App\Controller\FrameController::only
    defaults: { access: config }  

app_portal_user_frame_only:
    path: /pagewidget/frame/only/{directory}
    controller: App\Controller\FrameController::only
    defaults: { access: user }  



#== API EDISPATCHER ============================================================================================================

app_edispatcher_test:
    path: /edispatcher/test
    controller: App\Controller\EdispatcherController::test

app_edispatcher_api_js_item:
    path: /edispatcher/api/items
    controller: App\Controller\EdispatcherController::desktopitem

app_edispatcher_api_controllers_desktopitems:
    path: /edispatcher/api/controllers/desktopitems.php
    controller: App\Controller\EdispatcherController::desktopitem

app_edispatcher_api_js_alert:
    path: /edispatcher/api/messages
    controller: App\Controller\EdispatcherController::message

app_edispatcher_api_js_alert_action:
    path: /edispatcher/api/message/{idalert}/{action}
    controller: App\Controller\EdispatcherController::message

app_edispatcher_api_public_hello:
    path: /edispatcher/api/public/hello
    controller: App\Controller\EdispatcherController::hello

app_edispatcher_api_applications:
    path: /edispatcher/api/applications
    controller: App\Controller\EdispatcherController::applications

app_edispatcher_api_checkuser:
    path: /edispatcher/api/checkuser
    controller: App\Controller\EdispatcherController::checkuser

app_edispatcher_api_apps_all:
    path: /edispatcher/api/apps/all
    controller: App\Controller\EdispatcherController::hello

app_edispatcher_api_me:
    path: /edispatcher/api/me
    controller: App\Controller\EdispatcherController::me

app_edispatcher_api_session:
    path: /edispatcher/api/session
    controller: App\Controller\EdispatcherController::session
    defaults: { access: user }

app_edispatcher_fav_manage:
    path: /edispatcher/api/mxServices
    controller: App\Controller\EdispatcherController::mxServices


#== WEBSOCKET ==========================================================================================================================================
app_websocket_chat:
    path: /websocket/chat/{id}
    controller: App\Controller\ChatController::client

app_websocket_message_see:
    path: /user/message/see
    controller: App\Controller\ChatController::see

app_websocket_message_list:
    path: /user/message/list
    controller: App\Controller\ChatController::list